microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a skill
DELETE
/skills/{name}
Removes the specified skill and its associated versions.
Parametri del percorso
name
string
necessario
The unique name of the skill.
Parametri di intestazione
Foundry-Features
enum
necessario
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Risposte
The request has succeeded.
Corpo
Content-Type: application/json
id
string
necessario
The unique identifier of the deleted skill.
name
string
necessario
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
necessario
Whether the skill was successfully deleted.
Richiedi
DELETE /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json